# Class LevelForOverride

#### Hierarchy (view full)

- LevelBase
  - LevelForOverride

- Defined in file/numbering/level.ts:329

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new LevelForOverride(__namedParameters): LevelForOverride

- #### Parameters

  - __namedParameters: ILevelsOptions

  #### Returns LevelForOverride

  Inherited from LevelBase.constructor

  - Defined in file/numbering/level.ts:271

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from LevelBase.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from LevelBase.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc